> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Get an editor interface from a design library version

GET https://api.contentful.com/spaces/{spaceId}/design_libraries/{designLibraryId}/versions/{versionId}/editor_interfaces/{contentTypeId}/payload

Retrieves an editor interface's stored payload from a succeeded design library version, using its related content type ID.

Reference: https://contentful.com/developers/docs/references/experience-management-api/design-libraries/versions/items/get-design-library-version-editor-interface-payload

## Authentication

- `Authorization` header (bearer token, required) — Contentful Management API token

## Request

### Path parameters

- `spaceId` (string, required)
- `designLibraryId` (string, required)
- `versionId` (string, required)
- `contentTypeId` (string, required) — The ID of the content type associated with the editor interface.

## Response

### 200

200

- `sys` (SpacesSpaceIdDesignLibrariesDesignLibraryIdVersionsVersionIdEditorInterfacesContentTypeIdPayloadGetResponsesContentApplicationJsonSchemaSys, required)
- `controls` (list of SpacesSpaceIdDesignLibrariesDesignLibraryIdVersionsVersionIdEditorInterfacesContentTypeIdPayloadGetResponsesContentApplicationJsonSchemaControlsItems, required)

## Errors

### 400 Bad Request Error

400

- `sys` (SpacesSpaceIdDesignLibrariesDesignLibraryIdVersionsVersionIdEditorInterfacesContentTypeIdPayloadGetResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)

### 401 Unauthorized Error

401

- `sys` (SpacesSpaceIdDesignLibrariesDesignLibraryIdVersionsVersionIdEditorInterfacesContentTypeIdPayloadGetResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)

### 403 Forbidden Error

403

- `sys` (SpacesSpaceIdDesignLibrariesDesignLibraryIdVersionsVersionIdEditorInterfacesContentTypeIdPayloadGetResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)

### 404 Not Found Error

404

- `sys` (SpacesSpaceIdDesignLibrariesDesignLibraryIdVersionsVersionIdEditorInterfacesContentTypeIdPayloadGetResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)

### 409 Conflict Error

409

- `sys` (SpacesSpaceIdDesignLibrariesDesignLibraryIdVersionsVersionIdEditorInterfacesContentTypeIdPayloadGetResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)

### 422 Unprocessable Entity Error

422

- `sys` (SpacesSpaceIdDesignLibrariesDesignLibraryIdVersionsVersionIdEditorInterfacesContentTypeIdPayloadGetResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)

### 500 Internal Server Error

500

- `sys` (SpacesSpaceIdDesignLibrariesDesignLibraryIdVersionsVersionIdEditorInterfacesContentTypeIdPayloadGetResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)

## Types

### SpacesSpaceIdDesignLibrariesDesignLibraryIdVersionsVersionIdEditorInterfacesContentTypeIdPayloadGetResponsesContentApplicationJsonSchemaSys

- `id` (string, required)
- `type` ("Error", required)

### SpacesSpaceIdDesignLibrariesDesignLibraryIdVersionsVersionIdEditorInterfacesContentTypeIdPayloadGetResponsesContentApplicationJsonSchemaControlsItems

- `fieldId` (string, required)
- `widgetId` (string, optional)
- `widgetNamespace` (string, optional)
- `settings` (map from string to any, optional)

## Examples

**Response**

```json
{
  "sys": {
    "id": "string",
    "type": "string",
    "contentType": {
      "sys": {
        "id": "string",
        "linkType": "string",
        "type": "string"
      }
    }
  },
  "controls": [
    {
      "fieldId": "string",
      "widgetId": "string",
      "widgetNamespace": "string",
      "settings": {}
    }
  ]
}
```